Subject: Re: [bug#70445] [PATCH] gnu: blender: Add wrap-bin phase.
From: Zheng Junjie <[email-masked]>
To: [email-masked]
Date: Mon, 22 Apr 2024 00:30:21 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"Thompson, David" <[email-masked]> writes:

> Hi all,
>
> I started learning Blender this past week and when I tried to export a
> model to glTF I was shown an error console saying that the numpy
> module couldn't be found. We already had python-numpy in the inputs
> list, but the blender binary was not being wrapped to add it to
> Python's load path. This patch fixes this and presumably fixes other
> extensions that use Python modules.
>
> Thanks,
>
> - Dave
>
> [2. text/x-patch; 0001-gnu-blender-Add-wrap-bin-phase.patch]...
thanks, work for me.
I adjust to use gexp for #:phases. 
and push, see https://git.savannah.gnu.org/cgit/guix.git/commit/?id=1d6811cec316910c360aa3bedbb3fc1b68e7000e.